Module jdk.scripting.nashorn
Package jdk.nashorn.api.tree

## Interface StatementTree

- All Superinterfaces:
    `Tree`
  All Known Subinterfaces:
    `BlockTree`, `BreakTree`, `ClassDeclarationTree`, `ConditionalLoopTree`, `ContinueTree`, `DebuggerTree`, `DoWhileLoopTree`, `EmptyStatementTree`, `ExpressionStatementTree`, `ForInLoopTree`, `ForLoopTree`, `ForOfLoopTree`, `FunctionDeclarationTree`, `GotoTree`, `IfTree`, `LabeledStatementTree`, `LoopTree`, `ReturnTree`, `SwitchTree`, `ThrowTree`, `TryTree`, `VariableTree`, `WhileLoopTree`, `WithTree`

      @Deprecated(since="11",
                  forRemoval=true)
      public interface StatementTree
      extends Tree

  Deprecated, for removal: This API element is subject to removal in a future version.
  Nashorn JavaScript script engine and APIs, and the jjs tool are deprecated with the intent to remove them in a future release.
  A tree node used as the base class for the different kinds of statements.
  Since:
    9

- - ### Nested Class Summary

    - ### Nested classes/interfaces declared in interface jdk.nashorn.api.tree.Tree

      `Tree.Kind`

  - ### Method Summary

    - ### Methods declared in interface jdk.nashorn.api.tree.Tree

      `accept, getEndPosition, getKind, getStartPosition`